• Post Reply Bookmark Topic Watch Topic
  • New Topic

Unsupported major.minor version 51.0  RSS feed

 
raghu tammina
Ranch Hand
Posts: 60
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i'm running a java program i'm getting this exception in myeclipse

java.lang.UnsupportedClassVersionError: Unsupported major.minor version 51.0.

I have changed Jre system libaray to 1.6.0_13 but still not resolved

anyone help me out.
 
Ulf Dittmer
Rancher
Posts: 42972
73
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Those classes have been compiled using the Java 7 compiler - they can't be executed by a Java 6 runtime. Delete all class files, recompile with Java 6, and everything should work.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!